  
//
//  Fas3DEx.h - (Scalar) Math Addition & Subtraction
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to accomodate the book.
//
//		This module is designed for fast 3D math
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include	"CpuAsm.h"


#ifndef __FasEx_H
#define __FasEx_H

#ifdef __cplusplus
extern "C" {
#endif


void FasSetup( const CpuInfo * const pcinfo );

void vmp_FAddGeneric(float * const pfD, float fA, float fB );
void vmp_FAddAltivec(float * const pfD, float fA, float fB );

void vmp_FSubGeneric(float * const pfD, float fA, float fB );
void vmp_FSubAltivec(float * const pfD, float fA, float fB );



#ifdef __cplusplus
}
#endif

#endif	//__FasEx_H


