  
//
//  yuv12.h - YUV12 to RGB Conversion
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to accomodate the book.
//
//		This module is designed for fast 3D math
//
//  Created - 25 Feb, 2002 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include    "KariType.h"                                // Kari Games Master Definitions


#ifndef __yuv12_H
#define __yuv12_H

#ifdef __cplusplus
extern "C" {
#endif


//
//	YUV12 to RGB Conversion
//

typedef void (*vmp_yuv12toRGBProc)(
              void *pImg, uint nWidth, uint nHeight, int iStride,
			  const uint8 * pBaseY, uint nStrideY, 
              const uint8 * pBaseU, const uint8 * pBaseV, uint nStrideUV );

	//	YUV12 to RGB32bit

extern vmp_yuv12toRGBProc vmp_yuv12toRGB32;



#ifdef __cplusplus
}
#endif

#endif	//__yuv12_H


