  
//
//  Fmd.h - (Scalar) Math Multiplication & Division
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to accomodate the book.
//
//		This module is designed for fast 3D math
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include    "KariType.h"                                // Kari Games Master Definitions


#ifndef __Fmd_H
#define __Fmd_H

#ifdef __cplusplus
extern "C" {
#endif



//
//	Multiplication
//
typedef void (*vmp_FMulProc)( float * const pfD, float fA, float fB );
extern vmp_FMulProc vmp_FMul;



//
//	Division
//
typedef void (*vmp_FDivProc)( float * const pfD, float fA, float fB );
extern vmp_FDivProc vmp_FDiv;
extern vmp_FDivProc vmp_FDivFast;




#ifdef __cplusplus
}
#endif

#endif	//__Fmd_H


