  
//
//  Fsf.h - (Scalar) Math Special Function (Float)
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to accomodate the book.
//
//		This module is designed for fast 3D math
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include    "KariType.h"                                // Kari Games Master Definitions


#ifndef __Fsf_H
#define __Fsf_H

#ifdef __cplusplus
extern "C" {
#endif



//
//	Square Root
//
typedef void (*vmp_FSqrtProc)( float * const pfD, float fA );
extern vmp_FSqrtProc vmp_FSqrt;
extern vmp_FSqrtProc vmp_FSqrtFast;




#ifdef __cplusplus
}
#endif

#endif	//__Fsf_H


